Bug 45753 - postgresql-common: Multiple issues (4.2)
postgresql-common: Multiple issues (4.2)
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Security updates
UCS 4.2
Other Linux
: P5 normal (vote)
: UCS 4.2-3-errata
Assigned To: Philipp Hahn
Arvid Requate
:
Depends on:
Blocks: 43390
  Show dependency treegraph
 
Reported: 2017-11-20 15:58 CET by Arvid Requate
Modified: 2018-05-08 14:56 CEST (History)
0 users

See Also:
What kind of report is it?: Security Issue
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Security
Max CVSS v3 score: 5.5 (CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:N/I:H/A:N) NVD
requate: Patch_Available+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Arvid Requate univentionstaff 2017-11-20 15:58:02 CET
Upstream Debian package version 165+deb8u3 fixes:

* It was discovered that the pg_ctlcluster, pg_createcluster andpg_upgradecluster commands handled symbolic links insecurely which could result in local denial of service by overwriting arbitrary files (CVE-2017-8806)
Comment 1 Philipp Hahn univentionstaff 2018-01-25 10:59:35 CET
Mass-import from Debian-Security:
  python -m univention.repong.^Cbmirror -s jessie -r 4.2-3 --override=$HOME/REPOS/repo-ng/mirror/update_ucs42_mirror_from_debian.yml --errata=doc/errata --sql --process=ALL -vvvv --now=201801211553

YAML: git:bd6159834a..449aa5a7cf
Comment 2 Quality Assurance univentionstaff 2018-05-04 16:56:25 CEST
--- mirror/ftp/4.2/unmaintained/4.2-2/source/postgresql-9.4_9.4.13-0+deb8u1.dsc
+++ apt/ucs_4.2-0-errata4.2-3/source/postgresql-9.4_9.4.15-0+deb8u1.dsc
@@ -1,3 +1,20 @@
+9.4.15-0+deb8u1 [Wed, 08 Nov 2017 15:27:38 +0100] Christoph Berg <christoph.berg@credativ.de>:
+
+  * New upstream version.
+
+    + Fix crash due to rowtype mismatch in json{b}_populate_recordset()
+      (Michael Paquier, Tom Lane)
+
+      These functions used the result rowtype specified in the FROM ... AS
+      clause without checking that it matched the actual rowtype of the
+      supplied tuple value.  If it didn't, that would usually result in a
+      crash, though disclosure of server memory contents seems possible as
+      well. (CVE-2017-15098)
+
+9.4.14-0+deb8u1 [Thu, 05 Oct 2017 10:47:27 +0200] Christoph Berg <christoph.berg@credativ.de>:
+
+  * New upstream bugfix release.
+
 9.4.13-0+deb8u1 [Thu, 10 Aug 2017 14:37:53 +0200] Christoph Berg <christoph.berg@credativ.de>:
 
   * New upstream security release.
Comment 3 Quality Assurance univentionstaff 2018-05-04 16:56:28 CEST
--- mirror/ftp/4.2/unmaintained/4.2-0/source/postgresql-common_165+deb8u2A~4.2.0.201703021601.dsc
+++ apt/ucs_4.2-0-errata4.2-3/source/postgresql-common_165+deb8u3A~4.2.3.201801251012.dsc
@@ -1,8 +1,15 @@
-165+deb8u2A~4.2.0.201703021601 [Thu, 02 Mar 2017 16:01:40 +0100] Univention builddaemon <buildd@univention.de>:
+165+deb8u3A~4.2.3.201801251012 [Thu, 25 Jan 2018 10:14:41 +0100] Univention builddaemon <buildd@univention.de>:
 
   * UCS auto build. The following patches have been applied to the original source package
     01-autostart-setting
     02-emit-supported-postgresql-versions
+
+165+deb8u3 [Tue, 07 Nov 2017 20:54:52 +0100] Christoph Berg <myon@debian.org>:
+
+  * pg_ctlcluster, pg_createcluster, pg_upgradecluster: Use lchown instead
+    of chown to mitigate privilege escalation via symlinks. (CVE-2017-8806.
+    Related to CVE-2017-12172 in PostgreSQL; extends our earlier fix for
+    CVE-2016-1255.)
 
 165+deb8u2 [Sun, 01 Jan 2017 18:48:30 +0100] Christoph Berg <myon@debian.org>:
Comment 4 Arvid Requate univentionstaff 2018-05-07 20:36:56 CEST
* All UCS specific patches applied during rebuild
* Comparison to previously shipped version ok
* Binary package update Ok
* Advisory Ok (also references Bug 45752)